package com.bocloud.cmp.model.kubernetes;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author 作者
 * @version 创建时间：2019年8月29日 下午6:21:09 类说明
 */
public class DeploymentModel {
    private String instanceId;
    private String name;
    private String remark;
    private String status;
    private String apiVersion;
    private String annotations;
    private String kind;
    private String labels;
    private Map<String, String> labelsMap;
    private Map<String, String> specAnnotationsMap;
    private String templateLabels;
    private Date gmtCreate;
    private String namespace;
    private String yamlText;
    private Map<String, String> selectorMap;//
    private Map<String, String> matchLabels;
    private String selector; // 选择器
    private Long serviceId; //
    private String secretName;
    private String strategy;// 策略类型
    private String rollingUpdateMaxSurge; // 最大激增数
    private String rollingUpdateMaxUnavailable; // 最大无效数
    private Long revisionHistoryLimit; // 历史版本限制值
    private String containers;
    private String image;
    private Date creationTime;
    private String imageVersion;
    private String dnsPolicy;
    private String restartPolicy;
    private String schedulerName;
    private String serviceAccount;
    private String serviceAccountName;
    private Long terminationGracePeriodSeconds;
    private List<ReplicaModel> replicaModels;
    private List<PodModel> podModels;
    private String applicationName; // 实例名称
    private Integer replica; // 实例数
    private Integer podCount;
    /**
     * 先创建再删除 strategyType: "RollingUpdate" 先删除再创建 strategyType: "Recreate"
     */
    private String strategyType; // 策略
    private String instanceLabels; // 标签
    private String bocoPlatformPorts; // 服务
    private String imagePullPolicy;
    private String maxCpu;
    private String maxMemory;
    private String minCpu;
    private String minMemory;
    private String appName;
    private String resourceKind;
    private String uid;
    private String requestsCpu;
    private String limitsCpu;
    private String requestsMemory;
    private String limitsMemory;
    private String resources;
    private String affinitys;
    private String volumes;

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAnnotations() {
        return annotations;
    }

    public void setAnnotations(String annotations) {
        this.annotations = annotations;
    }

    public String getKind() {
        return kind;
    }

    public void setKind(String kind) {
        this.kind = kind;
    }

    public String getLabels() {
        return labels;
    }

    public void setLabels(String labels) {
        this.labels = labels;
    }

    public Map<String, String> getLabelsMap() {
        return labelsMap;
    }

    public void setLabelsMap(Map<String, String> labelsMap) {
        this.labelsMap = labelsMap;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getNamespace() {
        return namespace;
    }

    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    public String getYamlText() {
        return yamlText;
    }

    public void setYamlText(String yamlText) {
        this.yamlText = yamlText;
    }

    public Map<String, String> getSelectorMap() {
        return selectorMap;
    }

    public void setSelectorMap(Map<String, String> selectorMap) {
        this.selectorMap = selectorMap;
    }

    public Map<String, String> getMatchLabels() {
        return matchLabels;
    }

    public void setMatchLabels(Map<String, String> matchLabels) {
        this.matchLabels = matchLabels;
    }

    public String getStrategy() {
        return strategy;
    }

    public void setStrategy(String strategy) {
        this.strategy = strategy;
    }

    public String getRollingUpdateMaxSurge() {
        return rollingUpdateMaxSurge;
    }

    public void setRollingUpdateMaxSurge(String rollingUpdateMaxSurge) {
        this.rollingUpdateMaxSurge = rollingUpdateMaxSurge;
    }

    public String getRollingUpdateMaxUnavailable() {
        return rollingUpdateMaxUnavailable;
    }

    public void setRollingUpdateMaxUnavailable(String rollingUpdateMaxUnavailable) {
        this.rollingUpdateMaxUnavailable = rollingUpdateMaxUnavailable;
    }

    public Long getRevisionHistoryLimit() {
        return revisionHistoryLimit;
    }

    public void setRevisionHistoryLimit(Long revisionHistoryLimit) {
        this.revisionHistoryLimit = revisionHistoryLimit;
    }

    public String getTemplateLabels() {
        return templateLabels;
    }

    public void setTemplateLabels(String templateLabels) {
        this.templateLabels = templateLabels;
    }

    public String getDnsPolicy() {
        return dnsPolicy;
    }

    public void setDnsPolicy(String dnsPolicy) {
        this.dnsPolicy = dnsPolicy;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getContainers() {
        return containers;
    }

    public void setContainers(String containers) {
        this.containers = containers;
    }

    public String getRestartPolicy() {
        return restartPolicy;
    }

    public void setRestartPolicy(String restartPolicy) {
        this.restartPolicy = restartPolicy;
    }

    public String getSchedulerName() {
        return schedulerName;
    }

    public void setSchedulerName(String schedulerName) {
        this.schedulerName = schedulerName;
    }

    public String getServiceAccount() {
        return serviceAccount;
    }

    public void setServiceAccount(String serviceAccount) {
        this.serviceAccount = serviceAccount;
    }

    public String getServiceAccountName() {
        return serviceAccountName;
    }

    public void setServiceAccountName(String serviceAccountName) {
        this.serviceAccountName = serviceAccountName;
    }

    public Long getTerminationGracePeriodSeconds() {
        return terminationGracePeriodSeconds;
    }

    public void setTerminationGracePeriodSeconds(Long terminationGracePeriodSeconds) {
        this.terminationGracePeriodSeconds = terminationGracePeriodSeconds;
    }

    public String getSelector() {
        return selector;
    }

    public void setSelector(String selector) {
        this.selector = selector;
    }

    public List<ReplicaModel> getReplicaModels() {
        return replicaModels;
    }

    public void setReplicaModels(List<ReplicaModel> replicaModels) {
        this.replicaModels = replicaModels;
    }

    public List<PodModel> getPodModels() {
        return podModels;
    }

    public void setPodModels(List<PodModel> podModels) {
        this.podModels = podModels;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    public Integer getReplica() {
        return replica;
    }

    public void setReplica(Integer replica) {
        this.replica = replica;
    }

    public String getStrategyType() {
        return strategyType;
    }

    public void setStrategyType(String strategyType) {
        this.strategyType = strategyType;
    }

    public String getInstanceLabels() {
        return instanceLabels;
    }

    public void setInstanceLabels(String instanceLabels) {
        this.instanceLabels = instanceLabels;
    }

    public String getBocoPlatformPorts() {
        return bocoPlatformPorts;
    }

    public void setBocoPlatformPorts(String bocoPlatformPorts) {
        this.bocoPlatformPorts = bocoPlatformPorts;
    }

    public String getImagePullPolicy() {
        return imagePullPolicy;
    }

    public void setImagePullPolicy(String imagePullPolicy) {
        this.imagePullPolicy = imagePullPolicy;
    }

    public String getMaxCpu() {
        return maxCpu;
    }

    public void setMaxCpu(String maxCpu) {
        this.maxCpu = maxCpu;
    }

    public String getMaxMemory() {
        return maxMemory;
    }

    public void setMaxMemory(String maxMemory) {
        this.maxMemory = maxMemory;
    }

    public String getMinCpu() {
        return minCpu;
    }

    public void setMinCpu(String minCpu) {
        this.minCpu = minCpu;
    }

    public String getMinMemory() {
        return minMemory;
    }

    public void setMinMemory(String minMemory) {
        this.minMemory = minMemory;
    }

    public String getResourceKind() {
        return resourceKind;
    }

    public void setResourceKind(String resourceKind) {
        this.resourceKind = resourceKind;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getRequestsCpu() {
        return requestsCpu;
    }

    public void setRequestsCpu(String requestsCpu) {
        this.requestsCpu = requestsCpu;
    }

    public String getLimitsCpu() {
        return limitsCpu;
    }

    public void setLimitsCpu(String limitsCpu) {
        this.limitsCpu = limitsCpu;
    }

    public String getRequestsMemory() {
        return requestsMemory;
    }

    public void setRequestsMemory(String requestsMemory) {
        this.requestsMemory = requestsMemory;
    }

    public String getLimitsMemory() {
        return limitsMemory;
    }

    public void setLimitsMemory(String limitsMemory) {
        this.limitsMemory = limitsMemory;
    }

    public String getApiVersion() {
        return apiVersion;
    }

    public void setApiVersion(String apiVersion) {
        this.apiVersion = apiVersion;
    }

    public String getResources() {
        return resources;
    }

    public void setResources(String resources) {
        this.resources = resources;
    }

    public String getAffinitys() {
        return affinitys;
    }

    public void setAffinitys(String affinitys) {
        this.affinitys = affinitys;
    }

    public Integer getPodCount() {
        return podCount;
    }

    public void setPodCount(Integer podCount) {
        this.podCount = podCount;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public Long getServiceId() {
        return serviceId;
    }

    public void setServiceId(Long serviceId) {
        this.serviceId = serviceId;
    }

    public String getSecretName() {
        return secretName;
    }

    public void setSecretName(String secretName) {
        this.secretName = secretName;
    }

    public String getImageVersion() {
        return imageVersion;
    }

    public void setImageVersion(String imageVersion) {
        this.imageVersion = imageVersion;
    }

    public String getVolumes() {
        return volumes;
    }

    public void setVolumes(String volumes) {
        this.volumes = volumes;
    }

    public Map<String, String> getSpecAnnotationsMap() {
        return specAnnotationsMap;
    }

    public void setSpecAnnotationsMap(Map<String, String> specAnnotationsMap) {
        this.specAnnotationsMap = specAnnotationsMap;
    }

	public Date getCreationTime() {
		return creationTime;
	}

	public void setCreationTime(Date creationTime) {
		this.creationTime = creationTime;
	}
    
}
